Source: kimageannotator
Section: libs
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 qt6-base-dev,
 libkcolorpicker-qt6-dev,
 qt6-tools-dev,
 qt6-svg-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/ksnip/kImageAnnotator
Vcs-Git: https://salsa.debian.org/debian/kimageannotator.git
Vcs-Browser: https://salsa.debian.org/debian/kimageannotator

Package: libkimageannotator-qt6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libkcolorpicker-qt6-dev,
 libkimageannotator-qt6-0 (= ${binary:Version}),
 qt6-base-dev,
 ${misc:Depends},
Description: Image Annotating Library (dev)
 The kImageAnnotator library provides tools to annotate
 images. This library is used by the ksnip project.
 .
 This package provides the development files.

Package: libkimageannotator-qt6-0
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Replaces: libkimageannotator-common (<< 0.7)
Conflicts: libkimageannotator-common (<< 0.7)
Description: Image Annotating Library (lib)
 The kImageAnnotator library provides tools to annotate
 images. This library is used by the ksnip project.
 .
 This package provides the shared library.

Package: libkimageannotator-common
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Priority: extra
Section: oldlibs
Description: Image Annotating Library (dummy package)
 The kImageAnnotator library provides tools to annotate
 images. This library is used by the ksnip project.
 .
 This package is an empty transitional.
